﻿local RuESOChat = {}

function RuESOChat:OnInit(eventCode, addOnName)
	if zo_strlower(addOnName) ~= zo_strlower("RuESO Chat") or zo_strlower(addOnName) ~= zo_strlower("RuESOChat") then return end
	EVENT_MANAGER:UnregisterForEvent("RuESOChat_OnAddOnLoaded", EVENT_ADD_ON_LOADED)
	
	RuESOChat:ReplaceFonts()
end

function RuESOChat:ReplaceFonts()
	ZO_ChatWindowTextEntryEditBox:SetFont("RuEsoChat/fonts/univers57.otf|" .. GetChatFontSize() .. "|shadow");
	SetNameplateKeyboardFont("RuEsoChat/fonts/univers67.otf", 4)
end

EVENT_MANAGER:RegisterForEvent("RuESOChat_OnAddOnLoaded", EVENT_ADD_ON_LOADED, function(_event, _name) RuESOChat:OnInit(_event, _name) end)
EVENT_MANAGER:RegisterForEvent("RuESOChat_OnPlayerActivated", EVENT_PLAYER_ACTIVATED, function(...) RuESOChat:ReplaceFonts() end)